# AppRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of this application. Application names must be unique within an account. | 
**description** | **str** | Description of this application. | [optional] 
**add_groups** | **dict(str, list[AppPermissions])** | Map from UUIDs to group permissions | 
**del_groups** | **list[str]** | Array of UUID of group | [optional] 
**mod_groups** | **dict(str, list[AppPermissions])** | Map from UUIDs to group permissions | [optional] 
**default_group** | **str** | The default group of this application. This is the group where security objects will be created by default by this application. | 
**enabled** | **bool** | Whether this application is enabled | [optional] 
**app_oauth_config** | [**AppOauthConfig**](AppOauthConfig.md) |  | [optional] 
**interface** | **str** | Interface used with this application (PKCS11, CNG, JCE, KMIP, etc.). | [optional] 
**app_type** | **str** | The user-defined type of this application. | [optional] 
**credential** | [**AppCredential**](AppCredential.md) |  | [optional] 
**secret_size** | **int** | Size in bytes of app&#39;s secret. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


