# ApprovalRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**request_id** | **str** | UUID uniquely identifying this approval request. | 
**requester** | [**Entity**](Entity.md) |  | 
**created_at** | **str** | When this approval request was created. | 
**acct_id** | **str** | The account ID of the account that this approval request belongs to. | 
**operation** | **str** | Operation URL path, e.g. &#x60;/crypto/v1/keys&#x60;, &#x60;/crypto/v1/groups/&lt;id&gt;&#x60;. | 
**method** | **str** | Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST.  | 
**body** | **object** |  | 
**approvers** | [**list[Entity]**](Entity.md) |  | 
**denier** | [**Entity**](Entity.md) |  | 
**status** | [**ApprovalStatus**](ApprovalStatus.md) |  | 
**reviewers** | [**list[Entity]**](Entity.md) |  | 
**subjects** | [**list[ApprovalSubject]**](ApprovalSubject.md) |  | 
**description** | **str** | Optional comment about the approval request for the reviewer. | [optional] 
**expiry** | **str** | When this approval request expires. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


