# FpeEncryptedPart

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**min_length** | **int** | The minimum allowed length for this part (in chars). | 
**max_length** | **int** | The maximum allowed length for this part (in chars). | 
**char_set** | **list[list[str]]** | The character set to use for this part.  Characters should be specified as a list of pairs, where each pair [a, b] (example: [&#39;0&#39;, &#39;9&#39;]) represents the range of Unicode codepoints from a to b, with both bounds being inclusive. A single character can be represented as [c, c] (example: [&#39;/&#39;, &#39;/&#39;]).  Ranges should not overlap with each other, and should not contain surrogate codepoints.  *Implementation note: normally, each character is assigned a numeric value for FF1, going in the order specified in the array. For instance, in the character set [[&#39;a&#39;, &#39;z&#39;], [&#39;0&#39;, &#39;9&#39;]], the digits from 0 to 9 DO NOT have their usual numeric values; instead, they correspond to the numerals from 26 to 35 (since they come after the &#39;a&#39; to &#39;z&#39; range). Note that for practical purposes, this is largely irrelevant, except when specifying a \&quot;numeric\&quot; character set, which MUST contain exactly the digits from 0 to 9, in order. **(When trying to use numeric constraints, it is best to use [[\&quot;0\&quot;, \&quot;9\&quot;]] as the character set.)***  | 
**constraints** | [**FpeConstraints**](FpeConstraints.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


